CVC4::ThreadLocalImpl< T *, true > Class Template Reference

`#include <tls.h>`

## Public Member Functions

| ThreadLocalImpl ()
| ThreadLocalImpl (const T *t)
| ThreadLocalImpl (const ThreadLocalImpl &tl)
ThreadLocalImpl & | operator= (const T *t)
ThreadLocalImpl & | operator= (const ThreadLocalImpl &tl)
| operator T* () const
T | operator* ()
T * | operator-> ()

## Detailed Description

template<class T>
class CVC4::ThreadLocalImpl< T *, true >

Definition at line 81 of file tls.h.

## Constructor & Destructor Documentation

## ThreadLocalImpl() [1/3]

template<class T >

CVC4::ThreadLocalImpl< T *, true >::ThreadLocalImpl | ( |  | ) |

inline

Definition at line 88 of file tls.h.

## ThreadLocalImpl() [2/3]

template<class T >

CVC4::ThreadLocalImpl< T *, true >::ThreadLocalImpl | ( | const T * | t | ) |

inline

Definition at line 92 of file tls.h.

## ThreadLocalImpl() [3/3]

template<class T >

CVC4::ThreadLocalImpl< T *, true >::ThreadLocalImpl | ( | const ThreadLocalImpl< T *, true > & | tl | ) |

inline

Definition at line 97 of file tls.h.

## Member Function Documentation

## operator T*()

template<class T >

CVC4::ThreadLocalImpl< T *, true >::operator T* | ( |  | ) | const

inline

Definition at line 111 of file tls.h.

## operator*()

template<class T >

T CVC4::ThreadLocalImpl< T *, true >::operator* | ( |  | ) |

inline

Definition at line 115 of file tls.h.

## operator->()

template<class T >

T * CVC4::ThreadLocalImpl< T *, true >::operator-> | ( |  | ) |

inline

Definition at line 118 of file tls.h.

## operator=() [1/2]

template<class T >

ThreadLocalImpl & CVC4::ThreadLocalImpl< T *, true >::operator= | ( | const T * | t | ) |

inline

Definition at line 102 of file tls.h.

## operator=() [2/2]

template<class T >

ThreadLocalImpl & CVC4::ThreadLocalImpl< T *, true >::operator= | ( | const ThreadLocalImpl< T *, true > & | tl | ) |

inline

Definition at line 106 of file tls.h.

The documentation for this class was generated from the following file:

- builds/powerpc-apple-darwin10.0.0d2/production/src/util/tls.h